push-target: {% if cookiecutter.project_push_target != "The URL of the project in AskAnna" %}{{ cookiecutter.project_push_target }}{% endif %}
environment:
    image: askanna/python:3.10

train-model:
  job:
    - pip install -r requirements.txt
    - python src/models/train_model.py
  output:
    artifact:
      - models/

serve-model:
  job:
    - pip install -r requirements.txt
    - python src/models/serve_model.py
    - pip install jupyter
    - ipython kernel install --name python3
    - jupyter nbconvert --to notebook --output notebooks/result-demo-result.ipynb --execute notebooks/demo-result.ipynb --ExecutePreprocessor.kernel_name=python3
  output:
    result: result/prediction.json
    artifact:
      - notebooks/

evaluate-model:
  job:
    - pip install -r requirements.txt
    - python src/models/evaluate_model.py
  output:
    result: result/evaluation.json
